Xerces-J API: Class HTMLFormElementImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLFormElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLFormElementImpl

public class HTMLFormElementImpl
extends HTMLElementImpl
implements HTMLFormElement

Version:
  $Revision: 1.5 $ $Date: 2001/01/30 23:57:55 $
Author:
  Assaf Arkin
See Also:
  `HTMLFormElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLFormElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAcceptCharset()` List of character sets supported by the server.
`java.lang.String` | `getAction()` Server-side form handler.
`NodeList` | `getChildNodes()` A `NodeList` that contains all children of this node.
`HTMLCollection` | `getElements()` Returns a collection of all control elements in the form.
`java.lang.String` | `getEnctype()` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`int` | `getLength()` The number of form controls in the form.
`java.lang.String` | `getMethod()` HTTP method used to submit form.
`java.lang.String` | `getName()` Names the form.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`void` | `reset()` Restores a form element's default values.
`void` | `setAcceptCharset(java.lang.String acceptCharset)`
`void` | `setAction(java.lang.String action)`
`void` | `setEnctype(java.lang.String enctype)`
`void` | `setMethod(java.lang.String method)`
`void` | `setName(java.lang.String name)`
`void` | `setTarget(java.lang.String target)`
`void` | `submit()` Submits the form.

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodesUnoptimized, getFirstChild, getLastChild, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLFormElementImpl

    public HTMLFormElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getElements

    public HTMLCollection getElements()

  Description copied from interface: HTMLFormElement
  Returns a collection of all control elements in the form.
  Specified by:
    getElements in interface HTMLFormElement

### getLength

    public int getLength()

  Description copied from interface: HTMLFormElement
  The number of form controls in the form.
  Specified by:
    getLength in interface HTMLFormElement
  Overrides:
    getLength in class ParentNode
  Tags copied from class: ParentNode
  Returns:
    int

### getName

    public java.lang.String getName()

  Description copied from interface: HTMLFormElement
  Names the form.
  Specified by:
    getName in interface HTMLFormElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface HTMLFormElement

### getAcceptCharset

    public java.lang.String getAcceptCharset()

  Description copied from interface: HTMLFormElement
  List of character sets supported by the server. See the accept-charset attribute definition in HTML 4.0.
  Specified by:
    getAcceptCharset in interface HTMLFormElement

### setAcceptCharset

    public void setAcceptCharset(java.lang.String acceptCharset)

  Specified by:
    setAcceptCharset in interface HTMLFormElement

### getAction

    public java.lang.String getAction()

  Description copied from interface: HTMLFormElement
  Server-side form handler. See the action attribute definition in HTML 4.0.
  Specified by:
    getAction in interface HTMLFormElement

### setAction

    public void setAction(java.lang.String action)

  Specified by:
    setAction in interface HTMLFormElement

### getEnctype

    public java.lang.String getEnctype()

  Description copied from interface: HTMLFormElement
  The content type of the submitted form, generally "application/x-www-form-urlencoded". See the enctype attribute definition in HTML 4.0.
  Specified by:
    getEnctype in interface HTMLFormElement

### setEnctype

    public void setEnctype(java.lang.String enctype)

  Specified by:
    setEnctype in interface HTMLFormElement

### getMethod

    public java.lang.String getMethod()

  Description copied from interface: HTMLFormElement
  HTTP method used to submit form. See the method attribute definition in HTML 4.0.
  Specified by:
    getMethod in interface HTMLFormElement

### setMethod

    public void setMethod(java.lang.String method)

  Specified by:
    setMethod in interface HTMLFormElement

### getTarget

    public java.lang.String getTarget()

  Description copied from interface: HTMLFormElement
  Frame to render the resource in. See the target attribute definition in HTML 4.0.
  Specified by:
    getTarget in interface HTMLFormElement

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    setTarget in interface HTMLFormElement

### submit

    public void submit()

  Description copied from interface: HTMLFormElement
  Submits the form. It performs the same action as a submit button.
  Specified by:
    submit in interface HTMLFormElement

### reset

    public void reset()

  Description copied from interface: HTMLFormElement
  Restores a form element's default values. It performs the same action as a reset button.
  Specified by:
    reset in interface HTMLFormElement

### getChildNodes

    public NodeList getChildNodes()

  Description copied from interface: Node
  A `NodeList` that contains all children of this node. If there are no children, this is a `NodeList` containing no nodes.
  Overrides:
    getChildNodes in class ParentNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.